#pragma once
#include "SkinDialog.h"
#include "SendMemoButtons.h"

class CSelectTelnoDlg : public CSkinDialog, public IOKCancelButtonsCallBack
{
	DECLARE_DYNAMIC(CSelectTelnoDlg)

public:
	CSelectTelnoDlg(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CSelectTelnoDlg();

	enum { IDD = IDD_SELECT_TELNO_DIALOG };

	void SetTelNos(CString strExtensionTelno, CString strIncoTelno, CString strCellPhone);
	CString GetForwardingTelNo();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.

	DECLARE_MESSAGE_MAP()

public:
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedRadioTel1();
	afx_msg void OnBnClickedRadioTel2();
	afx_msg void OnBnClickedRadioTel3();
	afx_msg int	 OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	void SetSkin();
	void __ResourceLoad(BOOL bInit);
	void ReSizeCtrl();

	virtual void OnButtonClicked(COKCancelButtons::BUTTONS button);

private:
	CNMImgRadioButton m_radioExtensionTelNo;
	CNMImgRadioButton m_radioCellPhone;
	CNMImgRadioButton m_radioInputTelNo;
	CEdit m_editTelno;
	CPen m_penBorder;

	CString m_strExtensionTelno;
	CString m_strIncoTelno;
	CString m_strCellPhone;
	
	COKCancelButtons *m_pOKCancelButtons;
	CString m_strForwardingTelNo;
};
